Subject: Re: [Capwap] Editorial - WTP Event Request

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Mon, 9 Oct 2006 10:42:11 -0700

Works for me.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

________________________________

	From: Dorothy Stanley [mailto:[email-masked]] 
	Sent: Friday, September 29, 2006 1:28 PM
	To: sujay; Saravanan Govindan
	Cc: [email-masked]
	Subject: Re: [Capwap] Editorial - WTP Event Request

	All,
	 
	Below is the proposed resolution to issue 225 (also copied
below).
	 
	Comments welcome.
	 
	Dorothy

------------------------------------------------------------------------
-----------------
	Proposed resolution:
	 
	Insert the following paragraph at the end of section 4.3 "CAPWAP
Control Messages"
	 
	"CAPWAP control messages sent from the WTP to the AC indicate
that
	the WTP is operational, providing an implicit keep-alive 
	mechanism for the WTP. The Echo Request/Echo Response Control
channel 
	management messages provide an explicit keep-alive mechanism
when other CAPWAP
	control messages are not exchanged."
	 
	Also - I notice that the message types in 4.3 are not the same
as the
	message sections. Propose to update the 4.3 list to match the
existing text sections:
	changeFirmware Management to Device Management, add
	missing Join, Control Channel Management bullet items.

------------------------------------------------------------------------
------------------------
	Issue 225:

	Hi Scott,
	
	I see your point. I agree that any control message serves the
purpose of
	keep alive for the WTP.
	
	In this case, I suggest the same text in Section 4.3 (CAPWAP
Control
	Messages) with slight modification;
	
	"The exchange of a CAPWAP control message serves as an implicit
keep
	alive mechanism for the WTP. The arrival of a CAPWAP control
message at
	the AC indicates the WTP is operational. In cases where regular
CAPWAP
	control messages are not exchanged, explicit keep alive is used
(see
	Section 7)."
	
	Comments?
	
	Saravanan
	From: Scott G Kelly [mailto:scott [at] hyperthought.com] Sent:
Monday, July 03, 2006 9:20 PM To: Saravanan Govindan Cc: capwap Subject:
Re: [Capwap] Editorial - WTP Event Request Hi Saravanan, I thought there
was general agreement that if *any* authenticated control traffic (not
just an event request) is observed during the echo interval, this is
implicit proof of liveness, and no echo request is required for that
interval. Having text like what's suggested below (that only references
the event request) might lead people to incorrectly conclude that only
an event request can obviate the need for an echo exchange. Why should
we have text which confers this special status only on the event
request, rather than on all/any authenticated control channel traffic?
Scott Saravanan Govindan wrote: > All, > > > > I would like to suggest
an editorial update to Section 9.5 (WTP Event > Request). > > > > This
is based on earlier discussions of how WTP Event Request serves as > an
implicit keep alive mechanism for the WTP. I believe this observation >
can be made explicit in this section. > > > > I suggest the following
after the 1^st paragraph of Section 9.5; > > > > "The exchange of WTP
Event Request serves as an implicit keep alive > mechanism for the WTP.
The arrival of a WTP Event Request message at the > AC indicates the WTP
is operational. In cases where WTP Event Request is > not exchanged,
explicit keep alive is used (see Section 7)." > 

	On 9/25/06, Pat Calhoun (pacalhou) <[email-masked]> wrote: 

		I have created issue 225 to track this request.

		Pat Calhoun
		CTO, Wireless Networking Business Unit
		Cisco Systems

________________________________

			From: Pat Calhoun (pacalhou) 
			Sent: Monday, August 28, 2006 10:36 AM
			To: sujay; Saravanan Govindan;
[email-masked]
			Subject: Re: [Capwap] Editorial - WTP Event
Request

			I believe the quoted text is the agreed upon
text.

			Pat Calhoun
			CTO, Wireless Networking Business Unit
			Cisco Systems

________________________________

				From: sujay [mailto:[email-masked]] 
				Sent: Sunday, August 27, 2006 11:18 PM 
				To: 'Saravanan Govindan';
[email-masked]
				Subject: Re: [Capwap] Editorial - WTP
Event Request 

				Saravanan,
				 
				<snip> 
				"The exchange of a CAPWAP control
message serves as an implicit keep
				alive mechanism for the WTP. The arrival
of a CAPWAP control message at 
				the AC indicates the WTP is operational.
In cases where regular CAPWAP
				control messages are not exchanged,
explicit keep alive is used (see
				Section 7)."<snip/> 
				 
				As the understanding is, arrival of
*any* authenticated control message obviates
				the need for an 'echo request' message,
to keep up the neighbour as up.
				 I wouldn't prefer the last
statement..viz..
				"In cases where regular CAPWAP control
messages are not exchanged, explicit keep alive is used (see
				Section 7)."
				This kind of sounds making the keep
alive and control message usage mutually exclusive. Could we put
				more simpler, " CAPWAP control messages
MAY/SHOULD  be treated equivalent to an Echo request message 
				received(See Section 7)" ,
				Again noting; WTP event request message
is just one of those possible control messages.
				Regds,
				Sujay G
				
				My Location;
	
http://maps.google.com/maps?ll=14.626109,76.959229&spn=4.724852,7.525085
&t=h&hl=en

				This e-mail and attachments contain
confidential information from HUAWEI, which is intended only for the
person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to,
total or partial disclosure, reproduction, or dissemination) by persons
other than the intended recipient's) is prohibited. If you receive this
e-mail in error, please notify the sender by phone or email immediately
and delete it! 

________________________________

				From: Saravanan Govindan
[mailto:[email-masked] ] 
				Sent: Monday, August 28, 2006 8:54 AM
				To: [email-masked]
				Subject: [Capwap] Editorial - WTP Event
Request 

				All,

				This is a follow-up on an earlier
thread;

http://lists.frascone.com/pipermail/capwap/msg03208.html 

				Is the proposal ok for the next draft? 

				Cheers,

				Saravanan

_________________________________________________________________
		To unsubscribe or modify your subscription options,
please visit:
		http://lists.frascone.com/mailman/listinfo/capwap 
		
		Archives: http://lists.frascone.com/pipermail/capwap

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap